package com.neusoft.smart.pos.exchangeStrategy.service;

import com.neusoft.smart.pos.exchangeStrategy.persistent.domain.ExchangeStrategyTypeDict;
import com.neusoft.smart.pos.exchangeStrategy.persistent.mapper.ExchangeStrategyTypeDictMapper;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;

@Service
public class ExchangeStrategyTypeDictService {
	
	@Resource
	private ExchangeStrategyTypeDictMapper exchangeStrategyTypeDictMapper;

	public void insertExchangeStrategyType(ExchangeStrategyTypeDict exchangeStrategyTypeDict) {
		exchangeStrategyTypeDictMapper.insert(exchangeStrategyTypeDict);
	}

	public ExchangeStrategyTypeDict getExchangeStrategyType(Integer typeId) {
		return exchangeStrategyTypeDictMapper.selectByPrimaryKey(typeId);
	}

	
}
